Name:           qarte
Version:        2.2.0
Release:        %mkrel 1
License:        GPLv3
Url:            https://launchpad.net/qarte
Source0:        http://oqapy.eu/releases/%{name}-%{version}.tar.gz
Group:          Video/Utilities
Summary:        A browser for arte.tv web site
Requires:       python-qt4-gui
Requires:       python-qt4-svg
Requires:       rtmpdump
BuildArch:      noarch

%description
Qarte allow you to browse into the archiv of arte+7 & arteLiveWeb sites and to record your prefered videos

%prep
%setup -q 

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
desktop-file-install q_arte.desktop
install -D %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1 
install -d -m 755 %{buildroot}%{_datadir}/%{name}
mv *.py* %{buildroot}%{_datadir}/%{name}
mv medias %{buildroot}%{_datadir}/%{name}
mv VWidgets %{buildroot}%{_datadir}/%{name}
mv commonwidgets %{buildroot}%{_datadir}/%{name}
mv crontab %{buildroot}%{_datadir}/%{name}
install -D locale/de/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
install -D locale/fr/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
install -D locale/pt/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/pt/LC_MESSAGES/%{name}.mo

%find_lang %name

%files -f %{name}.lang
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/q_arte.desktop
%{_mandir}/man1/%{name}.1.xz
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png


%changelog
* Wed Sep 10 2014 zezinho <zezinho> 2.2.0-1.mga4
+ Revision: 674526
- new version fixes #14086
- new version fixes #13892

* Mon Jan 27 2014 zezinho <zezinho> 1.9.0-1.mga4
+ Revision: 568391
- new version fixes the crash on quit bug

* Tue Oct 22 2013 umeabot <umeabot> 1.8.5-4.mga4
+ Revision: 546102
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 zezinho <zezinho> 1.8.5-3.mga4
+ Revision: 520908
- fix l10n

* Thu Oct 17 2013 zezinho <zezinho> 1.8.5-2.mga4
+ Revision: 502167
- add manpage
- fix requires

* Wed Oct 16 2013 zezinho <zezinho> 1.8.5-1.mga4
+ Revision: 501750
- fix desktop file
- imported package qarte

